#
# Conditional build:
%bcond_without	tests	# unit tests

Summary:	pytest plugin for printing summary data as I want it
Summary(pl.UTF-8):	Wtyczka pytesta do wypisywania danych podsumowań tak, jak autor chce
Name:		python3-pytest-pretty
Version:	1.3.0
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pytest-pretty/
Source0:	https://files.pythonhosted.org/packages/source/p/pytest-pretty/pytest_pretty-%{version}.tar.gz
# Source0-md5:	354cd72d01587b67e777e0928a172dac
URL:		https://pypi.org/project/pytest-pretty/
BuildRequires:	python3-build
BuildRequires:	python3-hatchling
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.9
%if %{with tests}
BuildRequires:	python3-pytest >= 7
BuildRequires:	python3-rich >= 12
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
Requires:	python3-modules >= 1:3.9
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Opinionated pytest plugin to make output slightly easier to read and
errors easy to find and fix.

%description -l pl.UTF-8
Uparta wtyczka pytesta, czyniąca wyjście nieco łatwiejszym w czytaniu,
a błędy łatwymi do znalezienia i poprawienia.

%prep
%setup -q -n pytest_pretty-%{version}

%build
%py3_build_pyproject

%if %{with tests}
# plugin requires module metadata, so need to extract wheel
%{__python3} -m zipfile -e build-3/*.whl build-3-test

PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS=pytest_pretty \
PYTHONPATH=$(pwd)/build-3-test \
%{__python3} -m pytest tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.md
%{py3_sitescriptdir}/pytest_pretty
%{py3_sitescriptdir}/pytest_pretty-%{version}.dist-info
%changelog
* Fri Jul 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pytest-pretty.git;a=log;h=master

* Fri Jul 11 2025 Jakub Bogusz <qboosh@pld-linux.org> 5d742cd
- new

